<?php

declare(strict_types=1);

namespace phpDocumentor\Guides\RestructuredText\Directives;

use phpDocumentor\Guides\Nodes\Node;
use phpDocumentor\Guides\Nodes\SpanNode;
use phpDocumentor\Guides\RestructuredText\MarkupLanguageParser;

/**
 * The Replace directive will set the variables for the spans
 *
 * .. |test| replace:: The Test String!
 */
class Replace extends Directive
{
    public function getName(): string
    {
        return 'replace';
    }

    /**
     * @param string[] $options
     */
    public function processNode(
        MarkupLanguageParser $parser,
        string $variable,
        string $data,
        array $options
    ): Node {
        return SpanNode::create($parser, $data);
    }
}
